CSPLIT(1)

NUME
csplit - împarte un fișier în secțiuni determinate de liniile de context

SINOPSIS
csplit [OPȚIUNE]... FIȘIER MODEL...

DESCRIERE

Scoate bucăți din FIȘIER separate prin MODEL(e) în fișierele „xx00”, „xx01”, ..., și afișează numărul de octeți ai fiecărei bucăți la ieșirea standard.

Citește de la intrarea standard dacă FIȘIER este „-”

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-b, --suffix-format=FORMAT
    utilizează FORMATUL sprintf în loc de %02d

-f, --prefix=PREFIX
    utilizează PREFIX în loc de „xx”

-k, --keep-files
    nu elimină fișierele de ieșire în caz de erori

--suppress-matched
    suprimă liniile care se potrivesc cu MODELUL

-n, --digits=CIFRE
    utilizează numărul specificat de cifre în loc de 2

-s, --quiet, --silent
    nu afișează contorizarea dimensiunilor fișierelor de ieșire

-z, --elide-empty-files
    elimină fișierele de ieșire goale

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

  Fiecare MODEL poate fi:

NUMĂR_ÎNTREG
    copiază până la numărul de linie specificat, fără al include

/EXP_REG/[DECALAJ]
    copiază până la linia de potrivire, dar fără a o include

%EXP_REG%[DECALAJ]
    saltă la linia de potrivire, dar fără a o include

{NUMĂR_ÎNTREG}
    repetă modelul anterior, numărul specificat de ori

{*} repetă modelul anterior, de cât mai multe ori posibil

Un DECALAJ de linie este un număr întreg precedat opțional de „+” sau „-”

AUTOR
Scris de Stuart Kemp și David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/csplit>
sau local rulând comanda: «info '(coreutils) csplit invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.